Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.util
Class KeyNavConfig

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseConfig
              com.gwtext.client.util.KeyNavConfig

    public class KeyNavConfig

extends BaseConfig

KeyNav configuration class.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`KeyNavConfig()`

Method Summary
`void` | `onDel(EventCallback cb)` Register handler for the Del key.
`void` | `onDown(EventCallback cb)` Register handler for the Down arrow key.
`void` | `onEnd(EventCallback cb)` Register handler for the End key.
`void` | `onEnter(EventCallback cb)` Register handler for the Enter key.
`void` | `onEsc(EventCallback cb)` Register handler for the Esc key.
`void` | `onHome(EventCallback cb)` Register handler for the Home key.
`void` | `onLeft(EventCallback cb)` Register handler for the Left arrow key.
`void` | `onPageDown(EventCallback cb)` Register handler for the PageDown key.
`void` | `onPageUp(EventCallback cb)` Register handler for the PageUp key.
`void` | `onRight(EventCallback cb)` Register handler for the Right arrow key.
`void` | `onTab(EventCallback cb)` Register handler for the Tab key.
`void` | `onUp(EventCallback cb)` Register handler for the Up arrow key.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyNavConfig

    public KeyNavConfig()

Method Detail

### onEnter

    public void onEnter(EventCallback cb)

  Register handler for the Enter key.

  Parameters:
    `cb` - the key handler

### onLeft

    public void onLeft(EventCallback cb)

  Register handler for the Left arrow key.

  Parameters:
    `cb` - the key handler

### onRight

    public void onRight(EventCallback cb)

  Register handler for the Right arrow key.

  Parameters:
    `cb` - the key handler

### onUp

    public void onUp(EventCallback cb)

  Register handler for the Up arrow key.

  Parameters:
    `cb` - the key handler

### onDown

    public void onDown(EventCallback cb)

  Register handler for the Down arrow key.

  Parameters:
    `cb` - the key handler

### onTab

    public void onTab(EventCallback cb)

  Register handler for the Tab key.

  Parameters:
    `cb` - the key handler

### onEsc

    public void onEsc(EventCallback cb)

  Register handler for the Esc key.

  Parameters:
    `cb` - the key handler

### onPageUp

    public void onPageUp(EventCallback cb)

  Register handler for the PageUp key.

  Parameters:
    `cb` - the key handler

### onPageDown

    public void onPageDown(EventCallback cb)

  Register handler for the PageDown key.

  Parameters:
    `cb` - the key handler

### onDel

    public void onDel(EventCallback cb)

  Register handler for the Del key.

  Parameters:
    `cb` - the key handler

### onHome

    public void onHome(EventCallback cb)

  Register handler for the Home key.

  Parameters:
    `cb` - the key handler

### onEnd

    public void onEnd(EventCallback cb)

  Register handler for the End key.

  Parameters:
    `cb` - the key handler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD